B10-CFGMGR(8)

NAME
b10-cfgmgr - Configuration manager

SYNOPSIS

b10-cfgmgr [-cconfig-filename] [-pdata_path]

DESCRIPTION

The b10-cfgmgr daemon handles all BIND 10 system configuration. It provides persistent storage for configuration, and notifies running BIND 10 modules of configuration changes.

The bindctl can be used to talk to this configuration manager via a b10-cmdctl connection.

This daemon communicates over a b10-msgq C-Channel connection. If this connection is not established, b10-cfgmgr will exit.

The daemon may be cleanly stopped by sending the SIGTERM signal to the process. This shutdown does not notify the subscribers.

When it exits, it saves its current configuration to /usr/local/var/bind10-devel/b10-config.db.

ARGUMENTS

The arguments are as follows:

-cconfig-filename, --config-filename config-filename
    The configuration database filename to use. Can be either absolute or relative to data path.

    Defaults to b10-config.db

-pdata-path, --data-path data-path
    The path where BIND 10 looks for files. The configuration file is looked for here, if it is relative. If it is absolute, the path is ignored.

FILES

/usr/local/var/bind10-devel/b10-config.db — Configuration storage file.

SEE ALSO

bind10(8), msgq(8).

HISTORY

The b10-cfgmgr daemon and configuration specification were initially designed by Jelte Jansen of ISC. Its development began in October 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")